Login
Newsletter
Werbung

Sicherheit: Pufferüberlauf in PCRE
Aktuelle Meldungen Distributionen
Name: Pufferüberlauf in PCRE
ID: FEDORA-2015-12921
Distribution: Fedora
Plattformen: Fedora 22
Datum: Do, 13. August 2015, 20:55
Referenzen: https://bugzilla.redhat.com/show_bug.cgi?id=1250943
Applikationen: PCRE

Originalnachricht

Name        : pcre
Product : Fedora 22
Version : 8.37
Release : 3.fc22
URL : http://www.pcre.org/
Summary : Perl-compatible regular expression library
Description :
Perl-compatible regular expression library.
PCRE has its own native API, but a set of "wrapper" functions that are
based on
the POSIX API are also supplied in the library libpcreposix. Note that this
just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file
for the POSIX-style functions is called pcreposix.h.

-------------------------------------------------------------------------------
-
Update Information:

This release fixes buffer overflows when compiling certain expressions.
-------------------------------------------------------------------------------
-
ChangeLog:

* Thu Aug 6 2015 Petr Pisar <ppisar@redhat.com> - 8.37-3
- Fix a buffer overflow with duplicated named groups with a reference between
their definition, with a group that reset capture numbers
- Fix a buffer overflow with a forward reference by name to a group whose
number is the same as the current group
- Fix a buffer overflow with duplicated named groups and an occurrence of
"(?|"
* Wed Jul 1 2015 Petr Pisar <ppisar@redhat.com> - 8.37-2
- Fix CVE-2015-3210 (heap overflow when compiling an expression with named
recursive back reference and the name is duplicated) (bug #1236659)
- Fix CVE-2015-5073 (heap overflow when compiling an expression with an
forward reference within backward asserion with excessive closing
paranthesis) (bug #1237224)
-------------------------------------------------------------------------------
-
References:

[ 1 ] Bug #1250943 - pcre: heap buffer overflow with a crafted regular
expression
https://bugzilla.redhat.com/show_bug.cgi?id=1250943
-------------------------------------------------------------------------------
-

This update can be installed with the "yum" update program. Use
su -c 'yum update pcre' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
-------------------------------------------------------------------------------
-
_______________________________________________
package-announce mailing list
package-announce@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/package-announce
Pro-Linux
Gewinnspiel
Neue Nachrichten
Werbung